<?php
include_once("../include/main.inc.php");
check_session('MyCpanel', 'index.php');
################ Paging Starts From Here ##################
@extract($_REQUEST);
$start = (intval($start) < 0 or $start == "") ? 0 : $start;
$pagesize = intval($pagesize) == 0 ? $pagesize = 20 : $pagesize;

$heading = "Manage Gallery";
$record_type = "Gallery";
$script_name = "manage_gallery.php";
$table_name = "gallery_tbl";
####################################################

if ($id == "add_record" && $_FILES['collar']['name'] != "") {
  if ($_FILES['collar']['name'] != "") {
    $file_extension = strtolower(getExtension($_FILES['collar']['name']));
    if ($file_extension != "jpg" && $file_extension != "gif" && $file_extension != "jpeg" && $file_extension != "png" && $file_extension != "webp") {
      $form_check_alert .= '<div class="btn btn-danger">Please upload small image(.jpg,.gif,.png,.webp Format Only) </div>';
    }
  }
  if (!strlen($form_check_alert) > 0) {
    if ($_FILES['collar']['name'] != "") {
      $img_name = generate_unique_code('gallery_');
      $img1 = upload_file($img_name, "collar", "uploaded-files/gallery");
    }
    $maxRes = db_fetch_array(db_query("select max(gallery_order) from $table_name"));
    $gallery_order = $maxRes[0] + 1;
    $sql = db_query("insert into $table_name set gallery_title='$gallery_title',gallery_image='$img1',gallery_order='$gallery_order'");
    $_SESSION['session_message'] = '<div class="btn btn-success">New ' . $record_type . ' has been added successfully </div>';

    header("Location: " . SITE_ADMIN_URL . "/" . $script_name . "?start=" . $start . "&pagesize=" . $pagesize);
    exit;
  } else {
    $msg = html_head();
    $msg .= $form_check_alert;
    $msg .= html_foot();
  }
}

if ($id == "update_record") {
  if ($_FILES['collar']['name'] != "") {
    $file_extension = strtolower(getExtension($_FILES['collar']['name']));
    if ($file_extension != "jpg" && $file_extension != "gif" && $file_extension != "jpeg" && $file_extension != "png" && $file_extension != "webp") {
      $form_check_alert .= "<li>Please upload small image(.jpg,.gif,.png,.webp Format Only)</li>";
    }
  }
  if (!strlen($form_check_alert) > 0) {
    if ($_FILES['collar']['name'] != "") {
      $res1 = getResult($table_name, " where id='$recordID'");
      $filenm1 = SITE_DIR_PATH . "/uploaded-files/gallery/" . $res1['gallery_image'];
      if (file_exists($filenm1)) {
        unlink($filenm1);
      }

      $img_name = generate_unique_code('gallery_');
      $img1 = upload_file($img_name, "collar", "uploaded-files/gallery");
      updateTable($table_name, " gallery_image='$img1' where id='$recordID'");
    }

    updateTable($table_name, "gallery_title='$gallery_title' where id='$recordID'");
    $_SESSION['session_message'] = '<div class="btn btn-success">' . $record_type . ' has been updated successfully  </div>';


    header("Location: " . SITE_ADMIN_URL . "/" . $script_name . "?start=" . $start . "&pagesize=" . $pagesize);
    exit;
  } else {

    $msg = html_head();
    $msg .= $form_check_alert;
    $msg .= html_foot();
  }
}

if (isset($_POST['delete'])) {
  if (!empty($_POST['cat_arr'])) {
      $catid = $_POST['cat_arr'];
      foreach ($catid as $id) {
          mysqli_query($dbconn, "DELETE FROM $table_name WHERE id = '$id'");
      }
      $_SESSION['session_message'] = '<div class="btn btn-success">' . $record_type . ' has been deleted successfully</div>';
  } else {
      $_SESSION['session_message'] = '<div class="btn btn-danger">No Category selected</div>';
  }
  header("Location: ".SITE_ADMIN_URL."/".$script_name);
  exit;
}
########################################################
admin_header("");
$qry= db_query("select * from $table_name");
?>
<?php
 $res=getResult($table_name," where id='$_GET[recordID]'");
?>
<div class="content-wrapper">
<div class="page-header">
            <h3 class="page-title">Add New Photo</h3>
            <nav aria-label="breadcrumb">
			<ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="<?admin_url?>welcome.php">Admin</a></li>
                <li class="breadcrumb-item active" aria-current="page">Add New Photo</li>
                </ol>
            </nav>
          </div>
<div class="row">
            <div class="col-12 grid-margin stretch-card">
              <div class="card">
                <div class="card-body">
                  <form class="forms-sample" method="POST" action="" enctype="multipart/form-data">
                    <div class="form-group">
                      <label>Gallery Title</label>
                        <input class="typeahead" type="text"  name="gallery_title" value="<?=$res['gallery_title']?>" placeholder="Galler Title" required>
                 	</div>
                     
                     <?php
          if($res['gallery_image'] != Null) {
            ?>
            <div class="form-group row">
                    <div class="col">
                      <label>Gallery Image</label>
                      <div id="the-basics">
                        <input class="dropify" type="file" name="collar">
                      </div>
                    </div>
                    <div class="col">
                      <div id="bloodhound">
                        <img src="<?=site_url."/uploaded-files/gallery/".$res['gallery_image']?>" alt="<?=$res['gallery_title']?>" title="<?=$res['gallery_title']?>" style="height:240px">
                      </div>
                    </div>
                  </div>
    <?php
          } else {
            ?>
             <div class="form-group">
                <label>Gallery Image</label>
                 <input class="dropify" type="file"  name="collar" required>
             </div>
    <?php
          }
          ?>

                  <?php
          if($_GET[recordID] != Null) {
            ?>
            <button type="submit" class="btn btn-primary mr-2" name="add_record">Update Gallery</button>
	   		<input type="hidden" name="recordID" value="<?=$res['id'];?>">
	   		<input type="hidden" name="id" value="update_record">
    <?php
          } else {
            ?>
              <button type="submit" class="btn btn-primary mr-2" name="submit">Submit</button>
              <input type="hidden" name="id" value="add_record">
    <?php
          }
          ?>
          <button class="btn btn-light" onclick="javascript: window.location.href = '<?=SITE_ADMIN_URL;?>/<?= $redirect_script_name; ?>?parentID=<?= $parentID; ?>&catID=<?= $catID; ?>'">Cancel</button>
                 
                  </form>
                </div>
              </div>
            </div>
          </div>
    <div class="page-header">
        <h3 class="page-title">
            <?=$heading;?>
        </h3>
        <nav aria-label="breadcrumb">
		<ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="welcome.php">Admin</a></li>
                <li class="breadcrumb-item active" aria-current="page">Manage Photo Gallery</li>
                </ol>
        </nav>
    </div>
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12">
                  <form action="" method="post">
                    <div class="table-responsive">
                        <table id="order-listing" class="table table-bordered table-hover">
                            <thead>
                                <tr>
                                    <th class="_reab">
                                        <div class="form-check mt-0">
                                            <label class="form-check-label">
                                                <input type="checkbox" class="form-check-input">
                                                <i class="input-helper"></i>
                                            </label>
                                        </div>
                                    </th>
                                    <th>S.No.</th>
                                    <th>Gallery Title</th>
                                    <th>Gallery Image</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
 $sl=$start+1;
 while($arr=mysqli_fetch_array($qry)) { ?>
                                <tr>
                                    <td>
                                        <div class="form-check mt-0"><label class="form-check-label"><input
                                                    type="checkbox" class="form-check-input" name="cat_arr[]"
                                                    value="<?= $arr['id'] ?>"><i class="input-helper"></i></label>
                                        </div>
                                    </td>
                                    <td><?=$sl?></td>
                                    <td><p class="ordern"><?=$arr['gallery_title'];?></p></td>
                                    <td><p class="dongle-dcs"> <?php
	   if($arr['gallery_image']!="") {
		   $file1=SITE_DIR_PATH."/uploaded-files/gallery/".$arr['gallery_image'];

			   $dimens=GetImageSize($file1);
			   if($dimens[0]>130) {
				   $dimens[0]=$dimens[0]+30;
				   $dimens[1]=$dimens[1]+80;
			   }
			   else{
				   $dimens[0]=200;
				   $dimens[1]=200;
			   }
			   ?>
                <a href="javascript:void(0);" onClick="openwin('<?=SITE_ADMIN_URL;?>/popup_new.php?img=gallery/<?=$arr['gallery_image'];?>', '<?=$dimens[0];?>', '<?=$dimens[1];?>')"
                        ><span>View
                    Image <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-eye-slash" viewBox="0 0 16 16"> <path d="M13.359 11.238C15.06 9.72 16 8 16 8s-3-5.5-8-5.5a7.028 7.028 0 0 0-2.79.588l.77.771A5.944 5.944 0 0 1 8 3.5c2.12 0 3.879 1.168 5.168 2.457A13.134 13.134 0 0 1 14.828 8c-.058.087-.122.183-.195.288-.335.48-.83 1.12-1.465 1.755-.165.165-.337.328-.517.486l.708.709z"/> <path d="M11.297 9.176a3.5 3.5 0 0 0-4.474-4.474l.823.823a2.5 2.5 0 0 1 2.829 2.829l.822.822zm-2.943 1.299.822.822a3.5 3.5 0 0 1-4.474-4.474l.823.823a2.5 2.5 0 0 0 2.829 2.829z"/> <path d="M3.35 5.47c-.18.16-.353.322-.518.487A13.134 13.134 0 0 0 1.172 8l.195.288c.335.48.83 1.12 1.465 1.755C4.121 11.332 5.881 12.5 8 12.5c.716 0 1.39-.133 2.02-.36l.77.772A7.029 7.029 0 0 1 8 13.5C3 13.5 0 8 0 8s.939-1.721 2.641-3.238l.708.709zm10.296 8.884-12-12 .708-.708 12 12-.708.708z"/> </svg></span></a>
        <?php } ?>
                            </p>
      </td>
     <td  class="download-dcs">
                              
                                  
                                        <a href="<?=SITE_ADMIN_URL?>/manage_gallery.php?recordID=<?=$arr['id'];?>"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-edit-3"><path d="M12 20h9"></path><path d="M16.5 3.5a2.121 2.121 0 0 1 3 3L7 19l-4 1 1-4L16.5 3.5z"></path></svg></a>
                                    </td>
                                </tr>

                                <?php  $sl++; }?>

                            </tbody>
                        </table>
                        <div class="btn-grp">
                        <button type="submit" name="delete" onclick="return select_chk()" class="btn btn-danger btn-icon-text btn-sm">
							<i class="fas fa-trash-alt mr-1"></i>Delete
                        </button>
                        </div>
                  </div>
        </form>
                </div>
              </div>
            </div>
          </div>
        </div>
        <script language="javascript">
function select_chk(){
var chks = document.getElementsByName('cat_arr[]');
var hasChecked = false;
for (var i = 0; i < chks.length; i++){
if (chks[i].checked){
  hasChecked = true;
  break;
  }
}
if (hasChecked == false){
alert("Please Select At Least One.");
return false;
}
}
</script>
                  <?php
                  admin_footer();
                  exit;
                  ?>